MediaWiki:Common.css: различия между версиями

мНет описания правки
мНет описания правки
Строка 1: Строка 1:
 
/**
#pt-notifications-alert .mw-echo-notifications-badge, #pt-notifications-notice .mw-echo-notifications-badge,/**
  * [Содержание]
  * [Содержание]
  *
  *
Строка 1431: Строка 1430:
     width: var(--width);
     width: var(--width);
     flex: 1 0 var(--width);
     flex: 1 0 var(--width);
}
.cdx-button:enabled.cdx-button--weight-quiet:hover, .cdx-button.cdx-button--fake-button--enabled.cdx-button--weight-quiet:hover {
    background: var(--bg-color-focus);
    border-color: transparent;
}
}


Строка 2063: Строка 2067:
figure[typeof~='mw:File/Thumb'] > .mw-file-description::after, figure[typeof~='mw:File/Thumb'] > .mw-file-magnify::after,
figure[typeof~='mw:File/Thumb'] > .mw-file-description::after, figure[typeof~='mw:File/Thumb'] > .mw-file-magnify::after,
#personal h2::after,
#personal h2::after,
.mw-widget-titleWidget-menu-withImages .mw-widget-titleOptionWidget.oo-ui-iconElement > .oo-ui-iconElement-icon:not(.mw-widget-titleOptionWidget-hasImage) {
.mw-widget-titleWidget-menu-withImages .mw-widget-titleOptionWidget.oo-ui-iconElement > .oo-ui-iconElement-icon:not(.mw-widget-titleOptionWidget-hasImage),
.oo-ui-icon-help, .mw-ui-icon-help:before {
filter: var(--invert-100);
filter: var(--invert-100);
}
}
Строка 2101: Строка 2106:
.oo-ui-iconElement-icon.oo-ui-image-notice.oo-ui-icon-article,
.oo-ui-iconElement-icon.oo-ui-image-notice.oo-ui-icon-article,
.mw-echo-ui-notificationBadgeButtonPopupWidget-popup > .oo-ui-popupWidget-popup > .oo-ui-popupWidget-head > .oo-ui-iconWidget,
.mw-echo-ui-notificationBadgeButtonPopupWidget-popup > .oo-ui-popupWidget-popup > .oo-ui-popupWidget-head > .oo-ui-iconWidget,
.oo-ui-decoratedOptionWidget.oo-ui-widget-enabled .oo-ui-iconElement-icon, .oo-ui-decoratedOptionWidget.oo-ui-widget-enabled .oo-ui-indicatorElement-indicator {
.oo-ui-decoratedOptionWidget.oo-ui-widget-enabled .oo-ui-iconElement-icon, .oo-ui-decoratedOptionWidget.oo-ui-widget-enabled .oo-ui-indicatorElement-indicator,
.cdx-icon svg,
.growthexperiments-homepage-module-startemail .oo-ui-iconWidget:not(.oo-ui-image-progressive),
.oo-ui-widget.mw-ge-homepage-taskTypeSelectionWidget-checkbox-create .mw-ge-homepage-taskTypeSelectionWidget-additional-msg .oo-ui-iconElement-icon, .oo-ui-widget.mw-ge-homepage-taskTypeSelectionWidget-checkbox-image-recommendation .mw-ge-homepage-taskTypeSelectionWidget-additional-msg .oo-ui-iconElement-icon, .oo-ui-widget.mw-ge-homepage-taskTypeSelectionWidget-checkbox-section-image-recommendation .mw-ge-homepage-taskTypeSelectionWidget-additional-msg .oo-ui-iconElement-icon, .oo-ui-widget.mw-ge-homepage-taskTypeSelectionWidget-checkbox-link-recommendation .mw-ge-homepage-taskTypeSelectionWidget-additional-msg .oo-ui-iconElement-icon {
filter: var(--invert-75);
filter: var(--invert-75);
}
}
Строка 2127: Строка 2135:
.mw-datatable td,
.mw-datatable td,
.oo-ui-tabSelectWidget-framed,
.oo-ui-tabSelectWidget-framed,
.mw-htmlform-ooui .mw-htmlform-matrix tbody tr:hover td {
.mw-htmlform-ooui .mw-htmlform-matrix tbody tr:hover td,
.growthexperiments-homepage-module-startemail,
.mw-ge-startediting-dialog-progress {
background: var(--ooui--bg-color);
background: var(--ooui--bg-color);
}
}
Строка 2148: Строка 2158:
.mw-special-Contribute .mw-contribute-tabs-content,
.mw-special-Contribute .mw-contribute-tabs-content,
.mw-echo-ui-notificationItemWidget,
.mw-echo-ui-notificationItemWidget,
.mw-echo-ui-placeholderItemWidget {
.mw-echo-ui-placeholderItemWidget,
.mw-ge-startediting-dialog-intro-general {
background: var(--ooui--bg-color-darkened);
background: var(--ooui--bg-color-darkened);
}
}
Строка 2327: Строка 2338:
.ace_searchbtn,
.ace_searchbtn,
.oo-ui-selectFileInputWidget.oo-ui-widget-enabled.oo-ui-selectFileInputWidget-dropTarget,
.oo-ui-selectFileInputWidget.oo-ui-widget-enabled.oo-ui-selectFileInputWidget-dropTarget,
.ui-state-default, .ui-widget-content .ui-state-default, .ui-widget-header .ui-state-default {
.ui-state-default, .ui-widget-content .ui-state-default, .ui-widget-header .ui-state-default,
.growthexperiments-homepage-module {
background: var(--ooui--bg-color);
background: var(--ooui--bg-color);
border-color: var(--ooui--border-color-light);
border-color: var(--ooui--border-color-light);
Строка 2349: Строка 2361:
}
}


.oo-ui-searchWidget-query {
.oo-ui-searchWidget-query,
.mw-ge-startediting-dialog-difficulty-banner {
background: var(--ooui--bg-color-darkened);
background: var(--ooui--bg-color-darkened);
border-color: var(--ooui--border-color-light);
border-color: var(--ooui--border-color-light);
Строка 2393: Строка 2406:
}
}


.oo-ui-messageWidget.oo-ui-messageWidget-block.oo-ui-flaggedElement-notice {
.growthexperiments-homepage-module-suggested-edits.growthexperiments-homepage-module-desktop.growthexperiments-homepage-module.activated,
.oo-ui-messageWidget.oo-ui-messageWidget-block.oo-ui-flaggedElement-notice,
.ext-growthExperiments-ScoreCard {
background: var(--bg-color-notice);
background: var(--bg-color-notice);
border-color: var(--border-color-notice);
border-color: var(--border-color-notice);
Строка 2452: Строка 2467:
box-shadow: var(--box-shadow-high);
box-shadow: var(--box-shadow-high);
color: var(--ooui--text-color);
color: var(--ooui--text-color);
}
.growthexperiments-homepage-module-suggested-edits .growthexperiments-homepage-module-footer {
    border-color: var(--bg-color-notice);
    background: var(--ooui--bg-color-dark);
    color: var(--ooui--text-color-dark);
}
}


Строка 2479: Строка 2500:
.mw-rcfilters-ui-savedLinksListWidget-placeholder.oo-ui-optionWidget .oo-ui-labelElement-label,
.mw-rcfilters-ui-savedLinksListWidget-placeholder.oo-ui-optionWidget .oo-ui-labelElement-label,
.oo-ui-tabOptionWidget,
.oo-ui-tabOptionWidget,
.mw-echo-ui-notificationItemWidget-content-message-header {
.mw-echo-ui-notificationItemWidget-content-message-header,
.growthexperiments-homepage-module-suggested-edits .suggested-edits-module-wrapper .se-card-no-results .se-card-title, .growthexperiments-homepage-module-suggested-edits .suggested-edits-module-wrapper .se-card-error .se-card-title, .growthexperiments-homepage-module-suggested-edits .suggested-edits-module-wrapper .se-card-end-of-queue .se-card-title, .growthexperiments-homepage-module-suggested-edits .suggested-edits-module-wrapper .se-card-no-results .se-card-text, .growthexperiments-homepage-module-suggested-edits .suggested-edits-module-wrapper .se-card-error .se-card-text, .growthexperiments-homepage-module-suggested-edits .suggested-edits-module-wrapper .se-card-end-of-queue .se-card-text,
p.mw-ge-homepage-taskTypeSelectionWidget-difficulty-level-desc,
.suggested-edits-topic-filters-topic-selector h4, .suggested-edits-topic-filters-topic-selector p,
.mw-ge-startediting-dialog-intro-general-title, .mw-ge-startediting-dialog-intro-general-header,
.mw-ge-startediting-dialog-difficulty-header,
.mw-ge-startediting-dialog-difficulty-legend-description-header {
color: var(--ooui--text-color);
color: var(--ooui--text-color);
}
}
Строка 2485: Строка 2512:
.oo-ui-processDialog-errors-title,
.oo-ui-processDialog-errors-title,
.mw-echo-ui-menuItemWidget > .oo-ui-buttonElement-button > .oo-ui-labelElement-label,
.mw-echo-ui-menuItemWidget > .oo-ui-buttonElement-button > .oo-ui-labelElement-label,
.mw-echo-ui-notificationItemWidget-content-actions-timestamp {
.mw-echo-ui-notificationItemWidget-content-actions-timestamp,
.growthexperiments-homepage-module .growthexperiments-homepage-module-header, .growthexperiments-homepage-module h2.growthexperiments-homepage-module-header,
.mw-ge-startediting-dialog-progress-indicator-completed {
color: var(--ooui--text-color-light);
color: var(--ooui--text-color-light);
}
}
Строка 2504: Строка 2533:
.tdg-templateDataParamWidget-param-description,
.tdg-templateDataParamWidget-param-description,
.mw-echo-ui-notificationsListWidget:not(:hover) a, #p-personal .mw-echo-ui-notificationsListWidget:not(:hover) a.new,
.mw-echo-ui-notificationsListWidget:not(:hover) a, #p-personal .mw-echo-ui-notificationsListWidget:not(:hover) a.new,
.mw-echo-ui-notificationItemWidget-content-message-body {
.mw-echo-ui-notificationItemWidget-content-message-body,
.ext-growthExperiments-CText--color-subtle,
.growthexperiments-homepage-module .growthexperiments-homepage-module-subheader, .growthexperiments-homepage-module h3.growthexperiments-homepage-module-subheader,
.oo-ui-widget.mw-ge-homepage-taskTypeSelectionWidget-checkbox-create .mw-ge-homepage-taskTypeSelectionWidget-additional-msg, .oo-ui-widget.mw-ge-homepage-taskTypeSelectionWidget-checkbox-image-recommendation .mw-ge-homepage-taskTypeSelectionWidget-additional-msg, .oo-ui-widget.mw-ge-homepage-taskTypeSelectionWidget-checkbox-section-image-recommendation .mw-ge-homepage-taskTypeSelectionWidget-additional-msg, .oo-ui-widget.mw-ge-homepage-taskTypeSelectionWidget-checkbox-link-recommendation .mw-ge-homepage-taskTypeSelectionWidget-additional-msg,
.mw-ge-homepage-taskTypeSelectionWidget-create-body,
.mw-ge-suggestededits-articleCountWidget .oo-ui-labelWidget,
.mw-ge-startediting-dialog-progress-label,
.mw-ge-startediting-dialog-progress-indicator,
.mw-ge-startediting-dialog-difficulty-legend-description-body {
color: var(--ooui--text-color-dark);
color: var(--ooui--text-color-dark);
}
}